Skip to main content
GET
/
v1
/
pay
/
wallet
/
withdraw_status
Query withdrawal fee
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/wallet/withdraw_status \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
[
  {
    "currency": "GT",
    "name": "GateToken",
    "name_cn": "GateToken",
    "deposit": "0",
    "withdraw_percent": "0%",
    "withdraw_fix": "0.01",
    "withdraw_day_limit": "20000",
    "withdraw_day_limit_remain": "20000",
    "withdraw_amount_mini": "0.11",
    "withdraw_eachtime_limit": "20000",
    "withdraw_fix_on_chains": {
      "BTC": "20",
      "ETH": "15",
      "TRX": "0",
      "EOS": "2.5"
    },
    "withdraw_percent_on_chains": {
      "ETH": "0%",
      "GTEVM": "0%"
    }
  }
]

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

Query Parameters

currency
string
required

Specify currency name.

Response

200 - application/json

Withdrawal fee details. No handling fees are charged for withdrawals to a Gate addresss, whereas handling fees apply when withdrawingto a non-Gate address.

  • When you call the "Query Withdrawal Fee" interface, it retturns the handling fees required by the supported chains for the coin. Choose the chain you need.
  • Pay attention to the two parameters below:
  • [withdraw_fix_on_chains] refers to the fixed handling fee.
  • [withdraw_percent_on_chains] refers to the percentage-based handling fee (When you withdraw certain special coins, the fee is calculated as the withdrawal quantity rmultiplied by the percentage).
  • Withdrawal Handling Fee = Fixed Handling Fee + Fee Percentage >Withdrawal Quantity
  • At present, most common chains only charge a fixed handling feewhich is updated hourly.
  • Call the interface to check the handling fee every time you make awithdrawal. The handling fee is updated hourly.
currency
string

Currency symbol, e.g. BTC, ETH.

name
string

Currency name (e.g. Bitcoin, Ethereum).

name_cn
string

Chinese name of currency (e.g. 比特币, 以太坊).

deposit
string

Deposit fee (usually "0" as string).

withdraw_percent
string

Withdrawal fee percentage, e.g. "0.1" means 0.1%.

withdraw_fix
string

Fixed withdrawal fee, e.g. "0.0005".

withdraw_day_limit
string

Daily withdrawal limit (maximum total amount per day).

withdraw_amount_mini
string

Minimum withdrawal amount (single withdrawal cannot be lower than this, the value is 10 for USDT_TRX, for all other currencies, it is defined by the value provided by the API).

withdraw_day_limit_remain
string

Remaining daily withdrawal limit (still available amount for today).

withdraw_eachtime_limit
string

Maximum single withdrawal amount (cannot exceed this per transaction).

withdraw_fix_on_chains
object

Fixed withdrawal fees per chain (property: chain name, value: fee string).

withdraw_percent_on_chains
object

Percentage withdrawal fees per chain (property: chain name, value: percentage string).